@echo off

call #ENVPT3#\bin\protopenv.bat

cd /d %PROTOP%

set PTVER=%1

if "%PTVER%"=="" (
	set PTVER=pt
)

set FNAME=%PTVER%.zip

if not "%PROXY%"=="" (
	set PROXYOPT=-x %PROXY%
)

if exist %TMPDIR%\%FNAME% (
	del /q %TMPDIR%\%FNAME% 2>NUL
)

if exist %PROTOP%\update.bat (
	del /q update.bat 2>NUL
)

set RX=-rx

sleep 5

:: echo curl %PROXYOPT% -L -o %TMPDIR%\%FNAME% http://%PTUPD%/pt3upd/%FNAME%
:: curl %PROXYOPT% -L -o %TMPDIR%\%FNAME% http://%PTUPD%/pt3upd/%FNAME%

:: logic used in pt3upd.sh:  ${DLC}/bin/_progres -1 -b -p util/getfile.p -param "${PTUPD}|/pt3upd/${DNAME}.gz|${TMPDIR}/${DNAME}.gz" | tee -a ${LOGDIR}/update.log
:: WIN equiv:

%DLC%\bin\_progres -1 -b -p util\getfile.p -param "%PTUPD%|/pt3upd/%FNAME%|%TMPDIR%\%FNAME%" -basekey "INI" -ininame etc\protop.ini %PFLIST% %RX% %ERRSTACK% -clientlog pt3inst.err

:: test for NOT EXIST and handle that branch 1st because install.p might modify this script while it is running

if not exist %TMPDIR%\%FNAME% (

	echo Download failed.

) else (

	del /q estub\* 2>NUL
	del /q wstub\* 2>NUL

	del /q ptdefs\*.xsd 2>NUL
	del /q %TMPDIR%\*.flg 2>NUL

	sleep 5

	del /q %TMPDIR%\*.flg 2>NUL
        del /q %LOGDIR%\* 2>NUL
                                        
	unzip -o %TMPDIR%\%FNAME%

	if exist %PROTOP%\preloc.bat (
		call %PROTOP%\preloc.bat
		del /q %PROTOP%\preloc.bat 2>NUL
	)

	if exist %PROTOP%\preinst.bat (
		call %PROTOP%\preinst.bat
		del /q %PROTOP%\preinst.bat 2>NUL
	)

        %DLC%\bin\_progres -1 -b -p lib\install.p %RX% %ERRSTACK% -clientlog pt3inst.err

	if exist %PROTOP%\postinst.bat (
		call %PROTOP%\postinst.bat
		del /q %PROTOP%\postinst.bat 2>NUL
	)
                                        
	if exist %PROTOP%\postloc.bat (
		call %PROTOP%\postloc.bat
		del /q %PROTOP%\postloc.bat 2>NUL
	)
                                        
)
