@echo off

call #ENVPT3#\bin\protopenv.bat

cd /d %PROTOP%

rem	set the screen to support protop bigger than 160x48 is ok
rem	  - smaller is not
rem
rem	picking a decent font will also help, the default fonts
rem	are awful but lucida 12 and consola 16 are pretty good
rem

mode con cols=%COLS% lines=%ROWS%

rem	chain togther .pf files if they exist
rem
rem	      etc/protop.pf - moved to protopenv.bat
rem	      etc/custId.pf - moved to protopenv.bat
rem	      etc/serverName.pf - moved to protopenv.bat
rem	      etc/type.pf
rem	      etc/friendlyName.pf
rem	

rem set PFLIST=

rem if exist %PROTOP%\etc\protop.pf (
rem 	set PFLIST=%PFLIST% -pf etc\protop.pf
rem )
 
rem if exist %PROTOP%\etc\pt3win.pf (
rem 	set PFLIST=%PFLIST% -pf etc\pt3win.pf
rem )
 
rem set /p CUSTID=<etc\custid.cfg

rem if exist %PROTOP%\etc\%CUSTID%.pf (
rem 	set PFLIST=%PFLIST% -pf etc\%CUSTID%.pf
rem )
 
rem if exist %PROTOP%\etc\%HOSTNAME%.pf (
rem 	set PFLIST=%PFLIST% -pf etc\%HOSTNAME%.pf
rem )

set XDB=%1
set FNAME=-param %1

rem	echo %XDB%
rem	echo %FNAME%
rem	sleep 5

if exist %PROTOP%\etc\dblist.cfg (

	echo. > %TEMP%\pt3dblist.tmp
	grep "^%1|" %PROTOP%\etc\dblist.cfg | gawk -F "|" "{print $2}" > %TEMP%\pt3dblist.tmp
	set /p XDB=<%TEMP%\pt3dblist.tmp

	echo. > %TEMP%\pt3dblist.tmp
	grep "^%1|" %PROTOP%\etc\dblist.cfg | gawk -F "|" "{print $6}" > %TEMP%\pt3dblist.tmp
	set /p XTYPE=<%TEMP%\pt3dblist.tmp

	if exist %PROTOP%\etc\%XTYPE%.pf (
		set PFLIST=%PFLIST% -pf etc\%XTYPE%.pf
	)

)

if exist %PROTOP%\etc\%1.pf (
	set PFLIST=%PFLIST% -pf etc\%1.pf
)

if exist %PROTOP%\etc\protopwin.ini (
	set INIFILE= -basekey "INI" -ininame etc\protopwin.ini
)

if exist %DLC%\bin\prowin.exe (
	set PROWIN=prowin.exe
) else (
	set PROWIN=prowin32.exe
)

basename %XDB% > %TEMP%\pt3fname.tmp
set /p PX=<%TEMP%\pt3fname.tmp

if %XDB% == -1 (
	start /b %DLC%\bin\%PROWIN% -p protop.p %FNAME% %PFLIST% -T %TMPDIR% %INIFILE% %XDB% %ERRSTACK% -clientlog %TMPDIR%\pt3win.%PX%.debug
) else if exist %XDB%.db (
	start /b %DLC%\bin\%PROWIN% -p protop.p %FNAME% %PFLIST% -T %TMPDIR% %INIFILE% %XDB% %ERRSTACK% -clientlog %TMPDIR%\pt3win.%PX%.debug
) else (
	echo You must provide a friendly name that is defined in etc\dblist.cfg
	sleep 10
)
